//
//  ItemViewController.m
//  TabelDemo
//
//  Created by Developer on 26-08-14.
//  Copyright (c) 2014 Developer. All rights reserved.
//

#import "ItemViewController.h"

@interface ItemViewController ()

@end

@implementation ItemViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
	[super viewDidLoad];
	// Do any additional setup after loading the view.

	if ([self.delegate respondsToSelector:@selector(imageForIndex:)])
	{
		UIImage *ourImage = [self.delegate imageForIndex:self.index];
		self.ourImageView.image = ourImage;
	}
	
	if ([self.delegate respondsToSelector:@selector(htmlForIndex:)])
	{
		NSString *ourHTML = [self.delegate htmlForIndex:self.index];
		if (ourHTML != nil)
		{
			[self.webView loadHTMLString:ourHTML baseURL:nil];
		}
	}
	
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
