//
//  ItemViewController.h
//  TabelDemo
//
//  Created by Developer on 26-08-14.
//  Copyright (c) 2014 Developer. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface ItemViewController : UIViewController

@property (weak, nonatomic) IBOutlet UIImageView *ourImageView;
@property (weak, nonatomic) IBOutlet UIWebView *webView;
@property (weak, nonatomic) IBOutlet UIButton *showWebsiteButton;

@property (nonatomic) NSInteger index;
@property (weak, nonatomic) id delegate;
@property (strong, nonatomic) NSURL *remoteURL;

@end

@protocol ItemViewDelegate <NSObject>

@optional
- (UIImage *)imageForIndex: (NSInteger)index;
- (NSString *)htmlForIndex: (NSInteger)index;
- (NSURL *)remoteURLForIndex: (NSInteger)index;

@end